/clickup-tasks | Type: Application | PCID required: Yes
Tools
clickup_tasks_add_dependency
Add Dependency Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | This is the task which is waiting on or blocking another task. |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
dependency_of | string | No | — | Dependency Of |
depends_on | string | No | — | Depends On |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "This is the task which is waiting on or blocking another task."
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"dependency_of": {
"type": "string",
"description": "Dependency Of"
},
"depends_on": {
"type": "string",
"description": "Depends On"
}
},
"required": [
"PCID",
"task_id"
]
}
clickup_tasks_add_tag_to_task
Add Tag To Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
tag_name | string | Yes | — | Tag Name |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"tag_name": {
"type": "string",
"description": "Tag Name"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"task_id",
"tag_name",
"Content-Type"
]
}
clickup_tasks_add_task_link
Add Task Link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | The task to initiate the link from. |
links_to | string | Yes | — | The task to link to. |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "The task to initiate the link from."
},
"links_to": {
"type": "string",
"description": "The task to link to."
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
}
},
"required": [
"PCID",
"task_id",
"links_to"
]
}
clickup_tasks_create_checklist
Create Checklist Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
name | string | Yes | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"task_id",
"name"
]
}
clickup_tasks_create_checklist_item
Create Checklist Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checklist_id | string | Yes | — | b8a8-48d8-a0c6-b4200788a683 (uuid) |
assignee | integer | No | — | The assignee value |
name | string | No | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"checklist_id": {
"type": "string",
"description": "b8a8-48d8-a0c6-b4200788a683 (uuid)"
},
"assignee": {
"type": "integer",
"description": "The assignee value"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"checklist_id"
]
}
clickup_tasks_create_space_tag
Create Space Tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
space_id | number | Yes | — | Space Id |
tag | object | Yes | — | The tag value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"space_id": {
"type": "number",
"description": "Space Id"
},
"tag": {
"type": "object",
"description": "The tag value",
"properties": {
"name": {
"type": "string",
"description": "The name value"
},
"tag_fg": {
"type": "string",
"description": "Tag Fg"
},
"tag_bg": {
"type": "string",
"description": "Tag Bg"
}
},
"required": [
"name",
"tag_fg",
"tag_bg"
]
}
},
"required": [
"PCID",
"space_id",
"tag"
]
}
clickup_tasks_create_task
Create Task Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
list_id | number | Yes | — | List Id | |
archived | boolean | No | — | The archived value | |
assignees | integer[] | No | — | The assignees value | |
check_required_custom_fields | boolean | No | — | When creating a task via API any required Custom Fields are ignored by default (false).\ \ You can enforce required Custom Fields by including check_required_custom_fields: true. | |
custom_fields | any[] | No | — | You can include one or more Custom Fields to set them when creating a new task.\ \ Custom Fields that use object and array type values are nullable by sending "value": null. | |
custom_item_id | number | No | — | The custom task type ID for this task. A value of null (default) creates a standard task type “Task”.\ \ To get a list of available custom task type IDs for your Workspace, use the Get Custom Task Types endpoint. | |
description | string | No | — | The description value | |
due_date | integer | No | — | Due Date | |
due_date_time | boolean | No | — | Due Date Time | |
group_assignees | string[] | No | — | Assign multiple user groups to the task. | |
links_to | string | null | No | — | Include a task ID to create a linked dependency with your new task. |
markdown_content | string | No | — | Markdown formatted description for the task. If both markdown_content and description are provided, markdown_content will be used instead of description. | |
name | string | Yes | — | The name value | |
notify_all | boolean | No | — | If notify_all is true, the creator of the task will also be notified. Other assignees and watchers are always notified regardless of this setting. | |
parent | string | null | No | — | You can create a subtask by including an existing task ID.\ \ The parent task ID you include can be a subtask, but must be in the same List specified in the path parameter. |
points | number | No | — | Add Sprint Points to the task. | |
priority | integer | null | No | — | The priority value |
start_date | integer | No | — | Start date for filtering | |
start_date_time | boolean | No | — | Start Date Time | |
status | string | No | — | The status value | |
tags | string[] | No | — | The tags value | |
time_estimate | integer | No | — | Time Estimate |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list_id": {
"type": "number",
"description": "List Id"
},
"archived": {
"type": "boolean",
"description": "The archived value"
},
"assignees": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The assignees value"
},
"check_required_custom_fields": {
"type": "boolean",
"description": "When creating a task via API any required Custom Fields are ignored by default (`false`).\\ \\ You can enforce required Custom Fields by including `check_required_custom_fields: true`."
},
"custom_fields": {
"type": "array",
"description": "You can include one or more Custom Fields to set them when creating a new task.\\ \\ Custom Fields that use object and array type values are nullable by sending `\"value\": null`."
},
"custom_item_id": {
"type": "number",
"description": "The custom task type ID for this task. A value of `null` (default) creates a standard task type \"Task\".\\ \\ To get a list of available custom task type IDs for your Workspace, use the [Get Custom Task Types endpoint](ref:getcustomitems)."
},
"description": {
"type": "string",
"description": "The description value"
},
"due_date": {
"type": "integer",
"description": "Due Date"
},
"due_date_time": {
"type": "boolean",
"description": "Due Date Time"
},
"group_assignees": {
"type": "array",
"items": {
"type": "string"
},
"description": "Assign multiple user groups to the task."
},
"links_to": {
"type": [
"string",
"null"
],
"description": "Include a task ID to create a linked dependency with your new task."
},
"markdown_content": {
"type": "string",
"description": "Markdown formatted description for the task. If both `markdown_content` and `description` are provided, `markdown_content` will be used instead of `description`."
},
"name": {
"type": "string",
"description": "The name value"
},
"notify_all": {
"type": "boolean",
"description": "If `notify_all` is true, the creator of the task will also be notified. Other assignees and watchers are always notified regardless of this setting."
},
"parent": {
"type": [
"string",
"null"
],
"description": "You can create a subtask by including an existing task ID.\\ \\ The `parent` task ID you include can be a subtask, but must be in the same List specified in the path parameter."
},
"points": {
"type": "number",
"description": "Add Sprint Points to the task."
},
"priority": {
"type": [
"integer",
"null"
],
"description": "The priority value"
},
"start_date": {
"type": "integer",
"description": "Start date for filtering"
},
"start_date_time": {
"type": "boolean",
"description": "Start Date Time"
},
"status": {
"type": "string",
"description": "The status value"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"time_estimate": {
"type": "integer",
"description": "Time Estimate"
}
},
"required": [
"PCID",
"list_id",
"name"
]
}
clickup_tasks_create_task_attachment
Create Task Attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
custom_task_ids | boolean | No | — | If you want to reference a task by its custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
body | object | Yes | — | The body value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by its custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"body": {
"description": "The body value"
}
},
"required": [
"PCID",
"task_id",
"body"
]
}
clickup_tasks_create_task_from_template
Create Task From Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list_id | number | Yes | — | List Id |
template_id | string | Yes | — | Template Id |
name | string | Yes | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list_id": {
"type": "number",
"description": "List Id"
},
"template_id": {
"type": "string",
"description": "Template Id"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"list_id",
"template_id",
"name"
]
}
clickup_tasks_delete_checklist
Delete Checklist Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checklist_id | string | Yes | — | b8a8-48d8-a0c6-b4200788a683 (uuid) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"checklist_id": {
"type": "string",
"description": "b8a8-48d8-a0c6-b4200788a683 (uuid)"
}
},
"required": [
"PCID",
"checklist_id"
]
}
clickup_tasks_delete_checklist_item
Delete Checklist Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checklist_id | string | Yes | — | b8a8-48d8-a0c6-b4200788a683 (uuid) |
checklist_item_id | string | Yes | — | e491-47f5-9fd8-d1dc4cedcc6f (uuid) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"checklist_id": {
"type": "string",
"description": "b8a8-48d8-a0c6-b4200788a683 (uuid)"
},
"checklist_item_id": {
"type": "string",
"description": "e491-47f5-9fd8-d1dc4cedcc6f (uuid)"
}
},
"required": [
"PCID",
"checklist_id",
"checklist_item_id"
]
}
clickup_tasks_delete_dependency
Delete Dependency Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
depends_on | string | No | — | Depends On |
dependency_of | string | No | — | Dependency Of |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"depends_on": {
"type": "string",
"description": "Depends On"
},
"dependency_of": {
"type": "string",
"description": "Dependency Of"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
}
},
"required": [
"PCID",
"task_id"
]
}
clickup_tasks_delete_space_tag
Delete Space Tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
space_id | number | Yes | — | Space Id |
tag_name | string | Yes | — | Tag Name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"space_id": {
"type": "number",
"description": "Space Id"
},
"tag_name": {
"type": "string",
"description": "Tag Name"
}
},
"required": [
"PCID",
"space_id",
"tag_name"
]
}
clickup_tasks_delete_task
Delete Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
custom_task_ids | boolean | No | — | If you want to reference a task by its custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by its custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"task_id",
"Content-Type"
]
}
clickup_tasks_delete_task_link
Delete Task Link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
links_to | string | Yes | — | Links To |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"links_to": {
"type": "string",
"description": "Links To"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
}
},
"required": [
"PCID",
"task_id",
"links_to"
]
}
clickup_tasks_edit_checklist
Edit Checklist Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checklist_id | string | Yes | — | b8a8-48d8-a0c6-b4200788a683 (uuid) |
name | string | No | — | The name value |
position | integer | No | — | Position refers to the order of appearance of checklists on a task.\ \ To set a checklist to appear at the top of the checklists section of a task, use "position": 0. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"checklist_id": {
"type": "string",
"description": "b8a8-48d8-a0c6-b4200788a683 (uuid)"
},
"name": {
"type": "string",
"description": "The name value"
},
"position": {
"type": "integer",
"description": "Position refers to the order of appearance of checklists on a task.\\ \\ To set a checklist to appear at the top of the checklists section of a task, use `\"position\": 0`."
}
},
"required": [
"PCID",
"checklist_id"
]
}
clickup_tasks_edit_checklist_item
Edit Checklist Item Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
checklist_id | string | Yes | — | b8a8-48d8-a0c6-b4200788a683 (uuid) | |
checklist_item_id | string | Yes | — | e491-47f5-9fd8-d1dc4cedcc6f (uuid) | |
assignee | string | null | No | — | The assignee value |
name | string | No | — | The name value | |
parent | string | null | No | — | To nest a checklist item under another checklist item, include the other item’s checklist_item_id. |
resolved | boolean | No | — | The resolved value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"checklist_id": {
"type": "string",
"description": "b8a8-48d8-a0c6-b4200788a683 (uuid)"
},
"checklist_item_id": {
"type": "string",
"description": "e491-47f5-9fd8-d1dc4cedcc6f (uuid)"
},
"assignee": {
"type": [
"string",
"null"
],
"description": "The assignee value"
},
"name": {
"type": "string",
"description": "The name value"
},
"parent": {
"type": [
"string",
"null"
],
"description": "To nest a checklist item under another checklist item, include the other item's `checklist_item_id`."
},
"resolved": {
"type": "boolean",
"description": "The resolved value"
}
},
"required": [
"PCID",
"checklist_id",
"checklist_item_id"
]
}
clickup_tasks_edit_space_tag
Edit Space Tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
space_id | number | Yes | — | Space Id |
tag_name | string | Yes | — | Tag Name |
tag | object | Yes | — | The tag value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"space_id": {
"type": "number",
"description": "Space Id"
},
"tag_name": {
"type": "string",
"description": "Tag Name"
},
"tag": {
"type": "object",
"description": "The tag value",
"properties": {
"name": {
"type": "string",
"description": "The name value"
},
"fg_color": {
"type": "string",
"description": "Fg Color"
},
"bg_color": {
"type": "string",
"description": "Bg Color"
}
},
"required": [
"name",
"fg_color",
"bg_color"
]
}
},
"required": [
"PCID",
"space_id",
"tag_name",
"tag"
]
}
clickup_tasks_get_accessible_custom_fields
Get List Custom Fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list_id | number | Yes | — | List Id |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list_id": {
"type": "number",
"description": "List Id"
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"list_id",
"Content-Type"
]
}
clickup_tasks_get_bulk_tasks_timein_status
Get Bulk Tasks’ Time in Status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_ids | string[] | Yes | — | Include this paramater once per task_id. You can include up to 100 task ids per request. For example: task_ids=3cuh&task_ids=g4fs |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Include this paramater once per `task_id`. You can include up to 100 task ids per request. For example: `task_ids=3cuh&task_ids=g4fs`"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"task_ids",
"Content-Type"
]
}
clickup_tasks_get_custom_items
Get Custom Task Types Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_id | number | Yes | — | Workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_id": {
"type": "number",
"description": "Workspace ID"
}
},
"required": [
"PCID",
"team_id"
]
}
clickup_tasks_get_filtered_team_tasks
Get Filtered Team Tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_Id | number | Yes | — | Workspace ID |
page | integer | No | — | Page to fetch (starts at 0). |
order_by | string | No | — | Order by a particular field. By default, tasks are ordered by created.\ \ Options include: id, created, updated, and due_date. |
reverse | boolean | No | — | Tasks are displayed in reverse order. |
subtasks | boolean | No | — | Include or exclude subtasks. By default, subtasks are excluded. |
space_ids[] | string[] | No | — | Filter by Spaces. For example: \ \ ?space_ids[]=1234&space_ids[]=6789 |
project_ids[] | string[] | No | — | Filter by Folders. For example: \ \ ?project_ids[]=1234&project_ids[]=6789 |
list_ids[] | string[] | No | — | Filter by Lists. For example: \ \ ?list_ids[]=1234&list_ids[]=6789 |
statuses[] | string[] | No | — | Filter by statuses. Use %20 to represent a space character. To include closed tasks, use the include_closed parameter. \ \ For example: \ \ ?statuses[]=to%20do&statuses[]=in%20progress |
include_closed | boolean | No | — | Include or excluse closed tasks. By default, they are excluded.\ \ To include closed tasks, use include_closed: true. |
assignees[] | string[] | No | — | Filter by Assignees using people’s ClickUp user id. For example: \ \ ?assignees[]=1234&assignees[]=5678 |
tags[] | string[] | No | — | Filter by tags. User %20 to represent a space character. For example: \ \ ?tags[]=tag1&tags[]=this%20tag |
due_date_gt | integer | No | — | Filter by due date greater than Unix time in milliseconds. |
due_date_lt | integer | No | — | Filter by due date less than Unix time in milliseconds. |
date_created_gt | integer | No | — | Filter by date created greater than Unix time in milliseconds. |
date_created_lt | integer | No | — | Filter by date created less than Unix time in milliseconds. |
date_updated_gt | integer | No | — | Filter by date updated greater than Unix time in milliseconds. |
date_updated_lt | integer | No | — | Filter by date updated less than Unix time in milliseconds. |
date_done_gt | integer | No | — | Filter by date done greater than Unix time in milliseconds. |
date_done_lt | integer | No | — | Filter by date done less than Unix time in milliseconds. |
custom_fields | string | No | — | Include tasks with specific values in one or more Custom Fields. Custom Relationships are included.\ \ For example: ?custom_fields=[{"field_id":"abcdefghi12345678","operator":"=","value":"1234"}{"field_id":"jklmnop123456","operator":"<","value":"5"}]\ \ Only set Custom Field values display in the value property of the custom_fields parameter. The = operator isn’t supported with Label Custom Fields.\ \ Learn more about filtering using Custom Fields. |
parent | string | No | — | Include the parent task ID to return subtasks. |
include_markdown_description | boolean | No | — | To return task descriptions in Markdown format, use ?include_markdown_description=true. |
custom_items[] | number[] | No | — | Filter by custom task types. For example: \ \ ?custom_items[]=0&custom_items[]=1300 \ \ Including 0 returns tasks. Including 1 returns Milestones. Including any other number returns the custom task type as defined in your Workspace. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_Id": {
"type": "number",
"description": "Workspace ID"
},
"page": {
"type": "integer",
"description": "Page to fetch (starts at 0)."
},
"order_by": {
"type": "string",
"description": "Order by a particular field. By default, tasks are ordered by `created`.\\ \\ Options include: `id`, `created`, `updated`, and `due_date`."
},
"reverse": {
"type": "boolean",
"description": "Tasks are displayed in reverse order."
},
"subtasks": {
"type": "boolean",
"description": "Include or exclude subtasks. By default, subtasks are excluded."
},
"space_ids[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by Spaces. For example: \\ \\ `?space_ids[]=1234&space_ids[]=6789`"
},
"project_ids[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by Folders. For example: \\ \\ `?project_ids[]=1234&project_ids[]=6789`"
},
"list_ids[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by Lists. For example: \\ \\ `?list_ids[]=1234&list_ids[]=6789`"
},
"statuses[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by statuses. Use `%20` to represent a space character. To include closed tasks, use the `include_closed` parameter. \\ \\ For example: \\ \\ `?statuses[]=to%20do&statuses[]=in%20progress`"
},
"include_closed": {
"type": "boolean",
"description": "Include or excluse closed tasks. By default, they are excluded.\\ \\ To include closed tasks, use `include_closed: true`."
},
"assignees[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by Assignees using people's ClickUp user id. For example: \\ \\ `?assignees[]=1234&assignees[]=5678`"
},
"tags[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by tags. User `%20` to represent a space character. For example: \\ \\ `?tags[]=tag1&tags[]=this%20tag`"
},
"due_date_gt": {
"type": "integer",
"description": "Filter by due date greater than Unix time in milliseconds."
},
"due_date_lt": {
"type": "integer",
"description": "Filter by due date less than Unix time in milliseconds."
},
"date_created_gt": {
"type": "integer",
"description": "Filter by date created greater than Unix time in milliseconds."
},
"date_created_lt": {
"type": "integer",
"description": "Filter by date created less than Unix time in milliseconds."
},
"date_updated_gt": {
"type": "integer",
"description": "Filter by date updated greater than Unix time in milliseconds."
},
"date_updated_lt": {
"type": "integer",
"description": "Filter by date updated less than Unix time in milliseconds."
},
"date_done_gt": {
"type": "integer",
"description": "Filter by date done greater than Unix time in milliseconds."
},
"date_done_lt": {
"type": "integer",
"description": "Filter by date done less than Unix time in milliseconds."
},
"custom_fields": {
"type": "string",
"description": "Include tasks with specific values in one or more Custom Fields. Custom Relationships are included.\\ \\ For example: `?custom_fields=[{\"field_id\":\"abcdefghi12345678\",\"operator\":\"=\",\"value\":\"1234\"}{\"field_id\":\"jklmnop123456\",\"operator\":\"<\",\"value\":\"5\"}]`\\ \\ Only set Custom Field values display in the `value` property of the `custom_fields` parameter. The `=` operator isn't supported with Label Custom Fields.\\ \\ Learn more about [filtering using Custom Fields.](doc:taskfilters)"
},
"parent": {
"type": "string",
"description": "Include the parent task ID to return subtasks."
},
"include_markdown_description": {
"type": "boolean",
"description": "To return task descriptions in Markdown format, use `?include_markdown_description=true`."
},
"custom_items[]": {
"type": "array",
"items": {
"type": "number"
},
"description": "Filter by custom task types. For example: \\ \\ `?custom_items[]=0&custom_items[]=1300` \\ \\ Including `0` returns tasks. Including `1` returns Milestones. Including any other number returns the custom task type as defined in your Workspace."
}
},
"required": [
"PCID",
"team_Id"
]
}
clickup_tasks_get_folder_available_fields
Get Folder Custom Fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
folder_id | number | Yes | — | Folder Id |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"folder_id": {
"type": "number",
"description": "Folder Id"
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"folder_id",
"Content-Type"
]
}
clickup_tasks_get_space_available_fields
Get Space Custom Fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
space_id | number | Yes | — | Space Id |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"space_id": {
"type": "number",
"description": "Space Id"
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"space_id",
"Content-Type"
]
}
clickup_tasks_get_space_tags
Get Space Tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
space_id | number | Yes | — | Space Id |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"space_id": {
"type": "number",
"description": "Space Id"
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"space_id",
"Content-Type"
]
}
clickup_tasks_get_task
Get Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
custom_task_ids | boolean | No | — | If you want to reference a task by its custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
include_subtasks | boolean | No | — | Include subtasks, default false |
include_markdown_description | boolean | No | — | To return task descriptions in Markdown format, use ?include_markdown_description=true. |
custom_fields | string | No | — | Include tasks with specific values in one or more Custom Fields. Custom Relationships are included.\ \ For example: ?custom_fields=[{"field_id":"abcdefghi12345678","operator":"=","value":"1234"},{"field_id":"jklmnop123456","operator":"<","value":"5"}]\ \ Only set Custom Field values display in the value property of the custom_fields parameter. If you want to include tasks with specific values in only one Custom Field, use custom_field instead.\ \ Learn more about filtering using Custom Fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by its custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"include_subtasks": {
"type": "boolean",
"description": "Include subtasks, default false"
},
"include_markdown_description": {
"type": "boolean",
"description": "To return task descriptions in Markdown format, use `?include_markdown_description=true`."
},
"custom_fields": {
"type": "string",
"description": "Include tasks with specific values in one or more Custom Fields. Custom Relationships are included.\\ \\ For example: `?custom_fields=[{\"field_id\":\"abcdefghi12345678\",\"operator\":\"=\",\"value\":\"1234\"},{\"field_id\":\"jklmnop123456\",\"operator\":\"<\",\"value\":\"5\"}]`\\ \\ Only set Custom Field values display in the `value` property of the `custom_fields` parameter. If you want to include tasks with specific values in only one Custom Field, use `custom_field` instead.\\ \\ Learn more about [filtering using Custom Fields.](doc:filtertasks)"
}
},
"required": [
"PCID",
"task_id"
]
}
clickup_tasks_get_task_s_timein_status
Get Task’s Time in Status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"task_id",
"Content-Type"
]
}
clickup_tasks_get_tasks
Get Tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
list_id | number | Yes | — | To find the list_id: \ 1. In the Sidebar, hover over the List and click the ellipsis … menu. \ 2. Select Copy link. \ 3. Use the copied URL to find the list_id. The list_id is the number that follows /li in the URL. |
archived | boolean | No | — | The archived value |
include_markdown_description | boolean | No | — | To return task descriptions in Markdown format, use ?include_markdown_description=true. |
page | integer | No | — | Page to fetch (starts at 0). |
order_by | string | No | — | Order by a particular field. By default, tasks are ordered by created.\ \ Options include: id, created, updated, and due_date. |
reverse | boolean | No | — | Tasks are displayed in reverse order. |
subtasks | boolean | No | — | Include or exclude subtasks. By default, subtasks are excluded. |
statuses[] | string[] | No | — | Filter by statuses. To include closed tasks, use the include_closed parameter. \ \ For example: \ \ ?statuses[]=to%20do&statuses[]=in%20progress |
include_closed | boolean | No | — | Include or excluse closed tasks. By default, they are excluded.\ \ To include closed tasks, use include_closed: true. |
include_timl | boolean | No | — | Include Tasks in Multiple Lists. By default, tasks that exist in multiple lists are excluded from the response.\ \ To include tasks that exist in multiple lists, use include_timl: true. |
assignees[] | string[] | No | — | Filter by Assignees. For example: \ \ ?assignees[]=1234&assignees[]=5678 |
watchers[] | string[] | No | — | Filter by watchers. |
tags[] | string[] | No | — | Filter by tags. For example: \ \ ?tags[]=tag1&tags[]=this%20tag |
due_date_gt | integer | No | — | Filter by due date greater than Unix time in milliseconds. |
due_date_lt | integer | No | — | Filter by due date less than Unix time in milliseconds. |
date_created_gt | integer | No | — | Filter by date created greater than Unix time in milliseconds. |
date_created_lt | integer | No | — | Filter by date created less than Unix time in milliseconds. |
date_updated_gt | integer | No | — | Filter by date updated greater than Unix time in milliseconds. |
date_updated_lt | integer | No | — | Filter by date updated less than Unix time in milliseconds. |
date_done_gt | integer | No | — | Filter by date done greater than Unix time in milliseconds. |
date_done_lt | integer | No | — | Filter by date done less than Unix time in milliseconds. |
custom_fields | string | No | — | Include tasks with specific values in one or more Custom Fields. Custom Relationships are included.\ \ For example: ?custom_fields=[{"field_id":"abcdefghi12345678","operator":"=","value":"1234"},{"field_id":"jklmnop123456","operator":"<","value":"5"}]\ \ Only set Custom Field values display in the value property of the custom_fields parameter. If you want to include tasks with specific values in only one Custom Field, use custom_field instead.\ \ Learn more about filtering using Custom Fields. |
custom_field | string[] | No | — | Include tasks with specific values in only one Custom Field. This Custom Field can be a Custom Relationship. |
custom_items[] | number[] | No | — | Filter by custom task types. For example: \ \ ?custom_items[]=0&custom_items[]=1300 \ \ Including 0 returns tasks. Including 1 returns Milestones. Including any other number returns the custom task type as defined in your Workspace. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"list_id": {
"type": "number",
"description": "To find the list_id: \\ 1. In the Sidebar, hover over the List and click the **ellipsis ...** menu. \\ 2. Select **Copy link.** \\ 3. Use the copied URL to find the list_id. The list_id is the number that follows /li in the URL."
},
"archived": {
"type": "boolean",
"description": "The archived value"
},
"include_markdown_description": {
"type": "boolean",
"description": "To return task descriptions in Markdown format, use `?include_markdown_description=true`."
},
"page": {
"type": "integer",
"description": "Page to fetch (starts at 0)."
},
"order_by": {
"type": "string",
"description": "Order by a particular field. By default, tasks are ordered by `created`.\\ \\ Options include: `id`, `created`, `updated`, and `due_date`."
},
"reverse": {
"type": "boolean",
"description": "Tasks are displayed in reverse order."
},
"subtasks": {
"type": "boolean",
"description": "Include or exclude subtasks. By default, subtasks are excluded."
},
"statuses[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by statuses. To include closed tasks, use the `include_closed` parameter. \\ \\ For example: \\ \\ `?statuses[]=to%20do&statuses[]=in%20progress`"
},
"include_closed": {
"type": "boolean",
"description": "Include or excluse closed tasks. By default, they are excluded.\\ \\ To include closed tasks, use `include_closed: true`."
},
"include_timl": {
"type": "boolean",
"description": "Include Tasks in Multiple Lists. By default, tasks that exist in multiple lists are excluded from the response.\\ \\ To include tasks that exist in multiple lists, use `include_timl: true`."
},
"assignees[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by Assignees. For example: \\ \\ `?assignees[]=1234&assignees[]=5678`"
},
"watchers[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by watchers."
},
"tags[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by tags. For example: \\ \\ `?tags[]=tag1&tags[]=this%20tag`"
},
"due_date_gt": {
"type": "integer",
"description": "Filter by due date greater than Unix time in milliseconds."
},
"due_date_lt": {
"type": "integer",
"description": "Filter by due date less than Unix time in milliseconds."
},
"date_created_gt": {
"type": "integer",
"description": "Filter by date created greater than Unix time in milliseconds."
},
"date_created_lt": {
"type": "integer",
"description": "Filter by date created less than Unix time in milliseconds."
},
"date_updated_gt": {
"type": "integer",
"description": "Filter by date updated greater than Unix time in milliseconds."
},
"date_updated_lt": {
"type": "integer",
"description": "Filter by date updated less than Unix time in milliseconds."
},
"date_done_gt": {
"type": "integer",
"description": "Filter by date done greater than Unix time in milliseconds."
},
"date_done_lt": {
"type": "integer",
"description": "Filter by date done less than Unix time in milliseconds."
},
"custom_fields": {
"type": "string",
"description": "Include tasks with specific values in one or more Custom Fields. Custom Relationships are included.\\ \\ For example: `?custom_fields=[{\"field_id\":\"abcdefghi12345678\",\"operator\":\"=\",\"value\":\"1234\"},{\"field_id\":\"jklmnop123456\",\"operator\":\"<\",\"value\":\"5\"}]`\\ \\ Only set Custom Field values display in the `value` property of the `custom_fields` parameter. If you want to include tasks with specific values in only one Custom Field, use `custom_field` instead.\\ \\ Learn more about [filtering using Custom Fields.](doc:taskfilters)"
},
"custom_field": {
"type": "array",
"items": {
"type": "string"
},
"description": "Include tasks with specific values in only one Custom Field. This Custom Field can be a Custom Relationship."
},
"custom_items[]": {
"type": "array",
"items": {
"type": "number"
},
"description": "Filter by custom task types. For example: \\ \\ `?custom_items[]=0&custom_items[]=1300` \\ \\ Including `0` returns tasks. Including `1` returns Milestones. Including any other number returns the custom task type as defined in your Workspace."
}
},
"required": [
"PCID",
"list_id"
]
}
clickup_tasks_get_team_available_fields
Get Workspace Custom Fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_id | number | Yes | — | Workspace ID |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_id": {
"type": "number",
"description": "Workspace ID"
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"team_id",
"Content-Type"
]
}
clickup_tasks_merge_tasks
Merge Tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | ID of the target task that other tasks will be merged into. |
source_task_ids | string[] | Yes | — | Array of task IDs to merge into the target task. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "ID of the target task that other tasks will be merged into."
},
"source_task_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of task IDs to merge into the target task."
}
},
"required": [
"PCID",
"task_id",
"source_task_ids"
]
}
clickup_tasks_remove_custom_field_value
Remove Custom Field Value Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
field_id | string | Yes | — | b8a8-48d8-a0c6-b4200788a683 (uuid) |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"field_id": {
"type": "string",
"description": "b8a8-48d8-a0c6-b4200788a683 (uuid)"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
}
},
"required": [
"PCID",
"task_id",
"field_id"
]
}
clickup_tasks_remove_tag_from_task
Remove Tag From Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Task Id |
tag_name | string | Yes | — | Tag Name |
custom_task_ids | boolean | No | — | If you want to reference a task by it’s custom task id, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
Content-Type | string | Yes | — | The content-type value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"tag_name": {
"type": "string",
"description": "Tag Name"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by it's custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"Content-Type": {
"type": "string",
"description": "The content-type value"
}
},
"required": [
"PCID",
"task_id",
"tag_name",
"Content-Type"
]
}
clickup_tasks_set_custom_field_value
Set Custom Field Value Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_id | string | Yes | — | Enter the task ID of the task you want to update. |
field_id | string | Yes | — | Enter the universal unique identifier (UUID) of the Custom Field you want to set. |
custom_task_ids | boolean | No | — | If you want to reference a task by its Custom Task ID, this value must be true. |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. |
body | object | Yes | — | The body value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Enter the task ID of the task you want to update."
},
"field_id": {
"type": "string",
"description": "Enter the universal unique identifier (UUID) of the Custom Field you want to set."
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by its Custom Task ID, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"body": {
"description": "The body value"
}
},
"required": [
"PCID",
"task_id",
"field_id",
"body"
]
}
clickup_tasks_update_task
Update Task Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
task_id | string | Yes | — | Task Id | |
custom_task_ids | boolean | No | — | If you want to reference a task by its custom task id, this value must be true. | |
team_id | number | No | — | When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123. | |
archived | boolean | No | — | The archived value | |
assignees | object | No | — | The assignees value | |
custom_item_id | number | null | No | — | The custom task type ID for this task. A value of null (default) sets the task type to type “Task”.\ \ To get a list of available custom task type IDs for your Workspace, use the Get Custom Task Types endpoint. |
description | string | No | — | To clear the task description, include Description with " ". | |
due_date | integer | No | — | Due Date | |
due_date_time | boolean | No | — | Due Date Time | |
group_assignees | object | No | — | Group Assignees | |
markdown_content | string | No | — | Markdown formatted description for the task. If both markdown_content and description are provided, markdown_content will be used instead of description. | |
name | string | No | — | The name value | |
parent | string | No | — | You can move a subtask to another parent task by including "parent" with a valid task id.\ \ You cannot convert a subtask to a task by setting "parent" to null. | |
points | number | No | — | Update the task’s Sprint Points. | |
priority | integer | No | — | The priority value | |
start_date | integer | No | — | Start date for filtering | |
start_date_time | boolean | No | — | Start Date Time | |
status | string | No | — | The status value | |
time_estimate | integer | No | — | Time Estimate | |
watchers | object | No | — | The watchers value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_id": {
"type": "string",
"description": "Task Id"
},
"custom_task_ids": {
"type": "boolean",
"description": "If you want to reference a task by its custom task id, this value must be `true`."
},
"team_id": {
"type": "number",
"description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`."
},
"archived": {
"type": "boolean",
"description": "The archived value"
},
"assignees": {
"type": "object",
"description": "The assignees value",
"properties": {
"add": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The add value"
},
"rem": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The rem value"
}
},
"required": [
"add",
"rem"
]
},
"custom_item_id": {
"type": [
"number",
"null"
],
"description": "The custom task type ID for this task. A value of `null` (default) sets the task type to type \"Task\".\\ \\ To get a list of available custom task type IDs for your Workspace, use the [Get Custom Task Types endpoint](ref:getcustomitems)."
},
"description": {
"type": "string",
"description": "To clear the task description, include `Description` with `\" \"`."
},
"due_date": {
"type": "integer",
"description": "Due Date"
},
"due_date_time": {
"type": "boolean",
"description": "Due Date Time"
},
"group_assignees": {
"type": "object",
"description": "Group Assignees",
"properties": {
"add": {
"type": "array",
"items": {
"type": "string"
},
"description": "The add value"
},
"rem": {
"type": "array",
"items": {
"type": "string"
},
"description": "The rem value"
}
}
},
"markdown_content": {
"type": "string",
"description": "Markdown formatted description for the task. If both `markdown_content` and `description` are provided, `markdown_content` will be used instead of `description`."
},
"name": {
"type": "string",
"description": "The name value"
},
"parent": {
"type": "string",
"description": "You can move a subtask to another parent task by including `\"parent\"` with a valid `task id`.\\ \\ You cannot convert a subtask to a task by setting `\"parent\"` to `null`."
},
"points": {
"type": "number",
"description": "Update the task's Sprint Points."
},
"priority": {
"type": "integer",
"description": "The priority value"
},
"start_date": {
"type": "integer",
"description": "Start date for filtering"
},
"start_date_time": {
"type": "boolean",
"description": "Start Date Time"
},
"status": {
"type": "string",
"description": "The status value"
},
"time_estimate": {
"type": "integer",
"description": "Time Estimate"
},
"watchers": {
"type": "object",
"description": "The watchers value",
"properties": {
"add": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The add value"
},
"rem": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The rem value"
}
},
"required": [
"add",
"rem"
]
}
},
"required": [
"PCID",
"task_id"
]
}

